JNA API 3.3.0

## com.sun.jna.platform.win32
Interface WinReg

All Superinterfaces:
  AltCallingConvention, Library, StdCall, StdCallLibrary

    public interface WinReg

extends StdCallLibrary

This module contains the function prototypes and constant, type and structure definitions for the Windows 32-Bit Registry API. Ported from WinReg.h Microsoft Windows SDK 6.0A.

Author:
  dblock[at]dblock.org

Nested Class Summary
`static class` | `WinReg.HKEY`
`static class` | `WinReg.HKEYByReference`

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static WinReg.HKEY` | `HKEY_CLASSES_ROOT`
`static WinReg.HKEY` | `HKEY_CURRENT_CONFIG`
`static WinReg.HKEY` | `HKEY_CURRENT_USER`
`static WinReg.HKEY` | `HKEY_DYN_DATA`
`static WinReg.HKEY` | `HKEY_LOCAL_MACHINE`
`static WinReg.HKEY` | `HKEY_PERFORMANCE_DATA`
`static WinReg.HKEY` | `HKEY_PERFORMANCE_NLSTEXT`
`static WinReg.HKEY` | `HKEY_PERFORMANCE_TEXT`
`static WinReg.HKEY` | `HKEY_USERS`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### HKEY_CLASSES_ROOT

    static final WinReg.HKEY HKEY_CLASSES_ROOT

### HKEY_CURRENT_USER

    static final WinReg.HKEY HKEY_CURRENT_USER

### HKEY_LOCAL_MACHINE

    static final WinReg.HKEY HKEY_LOCAL_MACHINE

### HKEY_USERS

    static final WinReg.HKEY HKEY_USERS

### HKEY_PERFORMANCE_DATA

    static final WinReg.HKEY HKEY_PERFORMANCE_DATA

### HKEY_PERFORMANCE_TEXT

    static final WinReg.HKEY HKEY_PERFORMANCE_TEXT

### HKEY_PERFORMANCE_NLSTEXT

    static final WinReg.HKEY HKEY_PERFORMANCE_NLSTEXT

### HKEY_CURRENT_CONFIG

    static final WinReg.HKEY HKEY_CURRENT_CONFIG

### HKEY_DYN_DATA

    static final WinReg.HKEY HKEY_DYN_DATA

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.